<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 5.48</title>

    <!-- Nhúng thư viện boostrap -->
 <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
 <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
 <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>

</head>

<body onload="onPageLoading()">
    
    <div class="jumbotron">

        <div>
            <h2 style="color:red">Giải phương trình bậc hai</h2>
        </div>
        
        <div>
            <p style="color:blueviolet"><b>Phương trình bậc 2 có 3 tham số a, b và c</b></p>
        </div>
<br>
        <div class="row">
            <div class="col-1">
                <label><b>Số a</b></label>
            </div>    
            <div class="col-2">
                <input id="nhap-so-a" type="text" placeholder="nhập số a"><br><br>
            </div>
        </div>

        <div class="row">
            <div class="col-1">
                <label><b>Số b</b></label>
            </div>    
            <div class="col-2">
                <input id="nhap-so-b" type="text" placeholder="nhập số b"><br><br>
            </div>
        </div>
        
        <div class="row">
            <div class="col-1">
                <label><b>Số c</b></label>
            </div>    
            <div class="col-2">
                <input id="nhap-so-c" type="text" placeholder="nhập số a"><br><br>
            </div>
        </div>
        <div class="form-group">
            <button onclick="onClickButton()" class="btn btn-info">Tìm nghiệm</button>
        </div>

        <div>
            <p id="the-p-bi-an" style="display: none;">thẻ p ban đầu bị ẩn</p>
        </div>

        <div>
            <p id="nghiem-x1" style="display: none;">Nghiệm x1:</p> 
        </div>

        <div>
            <p id="nghiem-x2" style="display: none;">Nghiệm x2:</p> 
        </div>

    </div>

    
    
    
<script>

    function onPageLoading(){ // truy xuất phần tử và in id + placeholder/innerHTML ra console khi F5
        var vNhapSoA = document.getElementById("nhap-so-a");
            console.log("ID số a: " + " " + vNhapSoA.id + "   &   " + "placeholder: " +vNhapSoA.placeholder);
            

        var vNhapSoB = document.getElementById("nhap-so-b");
            console.log("ID số b: " + " " + vNhapSoB.id + "   &   " + "placeholder: " +vNhapSoB.placeholder);
        
        
        var vNhapSoC = document.getElementById("nhap-so-c");
            console.log("ID số c: " + " " + vNhapSoC.id + "   &   " + "placeholder: " +vNhapSoC.placeholder);

        var vThePBiAn = document.getElementById("the-p-bi-an");
            console.log("ID thẻ <p>: " + " " + vThePBiAn.id + "   &   " + "innerHTML: " +vThePBiAn.innerHTML);

    }

    function onClickButton(){ //truy xuất phần tử và in giá trị ra console khi click button
        console.log("Tìm nghiệm của phương trình bậc 2");

        var vNhapSoA = document.getElementById("nhap-so-a");
            inpThamSoA = vNhapSoA.value;
            console.log(inpThamSoA);
        var vNhapSoB = document.getElementById("nhap-so-b");
            inpThamSoB = vNhapSoB.value;
            console.log(inpThamSoB);
        var vNhapSoC = document.getElementById("nhap-so-c");
            inpThamSoC = vNhapSoC.value;
            console.log(inpThamSoC);




        var delta = inpThamSoB*inpThamSoB -4*inpThamSoA*inpThamSoC;
            console.log(delta);
            if (delta>0){ //trả kết quả có 2 nghiệm phân biệt

                var x1 = "x1=  " + (-inpThamSoB + Math.sqrt(delta))/(2*inpThamSoA);
                    //console.log(x1);
                var x2 = "x2=  " + (-inpThamSoB - Math.sqrt(delta))/(2*inpThamSoA);
                   // console.log(x2);

                var vThePBiAn = document.getElementById("the-p-bi-an");
                    vThePBiAn.innerHTML = "Phương trình có 2 nghiệm phân biệt"
                    vThePBiAn.style.display = "block";
                    vThePBiAn.style.color = "green";  
                                              
                var vNghiemX1 = document.getElementById("nghiem-x1");
                    vNghiemX1.innerHTML = x1;
                    vNghiemX1.style.display = "block";
                    vNghiemX1.style.color = "green";
                    
            
                var vNghiemX2 = document.getElementById("nghiem-x2");
                    vNghiemX2.innerHTML = x2;
                    vNghiemX2.style.display = "block";
                    vNghiemX2.style.color = "green";
                  
                return false; 
            }
            else if (delta==0){ // trả kết quả nghiệm kép
                 
                var nghiemKep = "x= " + (-inpThamSoB/(2*inpThamSoA));
                    //console.log(nghiemKep);
                
                var vThePBiAn = document.getElementById("the-p-bi-an");
                    vThePBiAn.innerHTML = "Phương trình 1 nghiệm kép"
                    vThePBiAn.style.display = "block";
                    vThePBiAn.style.color = "blue"; 

                var vNghiemX1 = document.getElementById("nghiem-x1"); 
                    vNghiemX1.innerHTML = nghiemKep;
                    vNghiemX1.style.display = "block";
                    vNghiemX1.style.color = "blue";
                
                return false
            }
            else if (delta<0){ //trả kết quả vô nghiệm
                var vThePBiAn = document.getElementById("the-p-bi-an");
                    vThePBiAn.innerHTML = "Phương trình vô nghiệm"
                    vThePBiAn.style.display = "block";
                    vThePBiAn.style.color = "red"; 
            }

    }

</script>

</body>
</html>